com.hazelcast.config

## Enum WanAcknowledgeType

- java.lang.Object
- - java.lang.Enum<WanAcknowledgeType>
  - - com.hazelcast.config.WanAcknowledgeType

- All Implemented Interfaces:
    Serializable, Comparable<WanAcknowledgeType>

      public enum WanAcknowledgeType
      extends Enum<WanAcknowledgeType>

  Determines acknowledge waiting type of wan replication operation invocation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACK_ON_OPERATION_COMPLETE` Wait till the operation is complete on target cluster.
    `ACK_ON_RECEIPT` ACK after WAN operation is received by the target cluster (without waiting the result of actual operation invocation).

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WanAcknowledgeType` | `getById(int id)` Returns the `WanAcknowledgeType` for the given ID.
    `int` | `getId()` Gets the ID for the given `WanAcknowledgeType`.
    `static WanAcknowledgeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WanAcknowledgeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACK_ON_RECEIPT

          public static final WanAcknowledgeType ACK_ON_RECEIPT

      ACK after WAN operation is received by the target cluster (without waiting the result of actual operation invocation).

    - #### ACK_ON_OPERATION_COMPLETE

          public static final WanAcknowledgeType ACK_ON_OPERATION_COMPLETE

      Wait till the operation is complete on target cluster.

  - ### Method Detail

    - #### values

          public static WanAcknowledgeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WanAcknowledgeType c : WanAcknowledgeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WanAcknowledgeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public int getId()

      Gets the ID for the given `WanAcknowledgeType`.

      The reason this ID is used instead of an the ordinal value is that the ordinal value is more prone to changes due to reordering.

      Returns:
        the ID

    - #### getById

          public static WanAcknowledgeType getById(int id)

      Returns the `WanAcknowledgeType` for the given ID.
      Returns:
        the `WanAcknowledgeType` found or `null` if not found

Copyright © 2020. All rights reserved.